## com.gargoylesoftware.htmlunit.html
Interface IElementFactory

All Known Implementing Classes:
  InputElementFactory, UnknownElementFactory

    public interface IElementFactory

Specification of a factory capable of creating `HtmlElement` objects.

Version:
  $Revision: 4002 $
Author:
  Christian Sell, Ahmed Ashour

Method Summary
`HtmlElement` `createElement(SgmlPage page, java.lang.String tagName, org.xml.sax.Attributes attributes)` Creates an element according to this factory's specification.
`HtmlElement` `createElementNS(SgmlPage page, java.lang.String namespaceURI, java.lang.String qualifiedName, org.xml.sax.Attributes attributes)` Creates an element according to this factory's specification.

Method Detail

### createElement

    HtmlElement createElement(SgmlPage page,
                              java.lang.String tagName,
                              org.xml.sax.Attributes attributes)

  Creates an element according to this factory's specification. Note that even though this method takes a page parameter, the element is not automatically added to the page's DOM tree.

  Parameters:
    `page` - the enclosing page for the new element
    `tagName` - the tag name (most factories will be responsible for a specific tag, but this parameter is passed in for factories that don't follow this rule)
    `attributes` - the attributes encountered during XML/HTML parsing (possibly `null` if no attributes specified
  Returns:
    the newly created and initialized element

### createElementNS

    HtmlElement createElementNS(SgmlPage page,
                                java.lang.String namespaceURI,
                                java.lang.String qualifiedName,
                                org.xml.sax.Attributes attributes)

  Creates an element according to this factory's specification. Note that even though this method takes a page parameter, the element is not automatically added to the page's DOM tree.

  Parameters:
    `page` - the enclosing page for the new element
    `namespaceURI` - the URI that identifies an XML namespace
    `qualifiedName` - the qualified name of the element type to instantiate
    `attributes` - the attributes encountered during XML/HTML parsing (possibly `null` if no attributes specified
  Returns:
    the newly created and initialized element

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.